# Overview of Changes

As noted in the Team Description Paper, the majority code is based on CSU_Yunlu 2021 robocup submission.
A record of all the changes we made on the original files are listed below (hopefully we didn't miss any one out).

# Parameter changes

src/TeamDoodd_2021/module/complex/at/TeamDooddHumanDetector.java
added line 274 for completeness of logic

src/TeamDoodd_2021/module/complex/at/TeamDooddATHumanSystem.java
Changed line 115 hp from 0 to 100 

src/TeamDoodd_2021/TeamDooddConstants.java
Edited parameter at line 40 from 4 to 3

src/TeamDoodd_2021/module/algorithm/fb/TeamDooddCompositeConvexHull.java
Changed convex hull algorithm from Jarvis march to GrahamScan2D 

src/TeamDoodd_2021/module/complex/fb/TeamDooddFBHuman.java
Changed line 100 from 20 to 25

src/TeamDoodd_2021/module/complex/fb/TeamDooddFBHumanDetector.java
Changed line 104 hp from 1 to 100 

/src/TeamDoodd_2021/module/algorithm/TeamDooddSampleKMeans.java
Line 313 Initialized kmeans++ clusterer with extra parameters to account for missing clusters 

# Logic changes
src/TeamDoodd_2021/util/ambulancehelper/CSUSelectorTargetByDis.java
edited calculateMapDimensions() function at line 76. 
Changed the logic to instead consider the average distance of all entities to the center of the map.

/src/TeamDoodd_2021/module/complex/pf/TeamDooddGuidelineCreator.java
changed getProperLine() function at line 199.
Changed to logic to consider subsequent mid point on the next road as the end point.
